<table>
<colgroup>
<col style="width: 20%" />
<col style="width: 20%" />
<col style="width: 20%" />
<col style="width: 20%" />
<col style="width: 20%" />
</colgroup>
<thead>
<tr class="header">
<th style="text-align: left;">Command</th>
<th style="text-align: right;">Mean [s]</th>
<th style="text-align: right;">Min [s]</th>
<th style="text-align: right;">Max [s]</th>
<th style="text-align: right;">Relative</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td style="text-align: left;"><code>Zig/fib</code></td>
<td style="text-align: right;">2.643 ± 0.014</td>
<td style="text-align: right;">2.626</td>
<td style="text-align: right;">2.668</td>
<td style="text-align: right;">1374.30 ± 1008.02</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Nim/fib</code></td>
<td style="text-align: right;">1.807 ± 0.015</td>
<td style="text-align: right;">1.795</td>
<td style="text-align: right;">1.840</td>
<td style="text-align: right;">939.89 ± 689.42</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Crystal/fib</code></td>
<td style="text-align: right;">3.898 ± 0.008</td>
<td style="text-align: right;">3.890</td>
<td style="text-align: right;">3.917</td>
<td style="text-align: right;">2027.18 ± 1486.86</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Chapel/fib</code></td>
<td style="text-align: right;">2.931 ± 0.007</td>
<td style="text-align: right;">2.921</td>
<td style="text-align: right;">2.944</td>
<td style="text-align: right;">1524.30 ± 1118.02</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib</code></td>
<td style="text-align: right;">4.246 ± 0.012</td>
<td style="text-align: right;">4.234</td>
<td style="text-align: right;">4.276</td>
<td style="text-align: right;">2208.11 ± 1619.57</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib-unsafe</code></td>
<td style="text-align: right;">4.244 ± 0.009</td>
<td style="text-align: right;">4.230</td>
<td style="text-align: right;">4.255</td>
<td style="text-align: right;">2206.89 ± 1618.68</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib+flambda</code></td>
<td style="text-align: right;">4.246 ± 0.012</td>
<td style="text-align: right;">4.228</td>
<td style="text-align: right;">4.265</td>
<td style="text-align: right;">2207.99 ± 1619.49</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib+flambda-unsafe</code></td>
<td style="text-align: right;">4.251 ± 0.013</td>
<td style="text-align: right;">4.236</td>
<td style="text-align: right;">4.276</td>
<td style="text-align: right;">2210.85 ± 1621.59</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib_binet</code></td>
<td style="text-align: right;">0.002 ± 0.001</td>
<td style="text-align: right;">0.000</td>
<td style="text-align: right;">0.006</td>
<td style="text-align: right;">1.07 ± 1.02</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_binet_opt</code></td>
<td style="text-align: right;">0.002 ± 0.001</td>
<td style="text-align: right;">0.000</td>
<td style="text-align: right;">0.006</td>
<td style="text-align: right;">1.22 ± 1.09</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>OCaml/fib_shift</code></td>
<td style="text-align: right;">0.002 ± 0.001</td>
<td style="text-align: right;">0.000</td>
<td style="text-align: right;">0.008</td>
<td style="text-align: right;">1.00</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_binet+flambda</code></td>
<td style="text-align: right;">0.002 ± 0.001</td>
<td style="text-align: right;">0.000</td>
<td style="text-align: right;">0.006</td>
<td style="text-align: right;">1.08 ± 1.03</td>
</tr>
<tr class="odd">
<td
style="text-align: left;"><code>OCaml/fib_binet_opt+flambda</code></td>
<td style="text-align: right;">0.002 ± 0.001</td>
<td style="text-align: right;">0.000</td>
<td style="text-align: right;">0.006</td>
<td style="text-align: right;">1.12 ± 1.08</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>OCaml/fib_shift+flambda</code></td>
<td style="text-align: right;">0.002 ± 0.001</td>
<td style="text-align: right;">0.000</td>
<td style="text-align: right;">0.006</td>
<td style="text-align: right;">1.21 ± 1.14</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>MLton/fib</code></td>
<td style="text-align: right;">12.273 ± 0.033</td>
<td style="text-align: right;">12.231</td>
<td style="text-align: right;">12.331</td>
<td style="text-align: right;">6381.97 ± 4680.95</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>MLton/fib+native+O3</code></td>
<td style="text-align: right;">11.608 ± 0.028</td>
<td style="text-align: right;">11.568</td>
<td style="text-align: right;">11.655</td>
<td style="text-align: right;">6036.38 ± 4427.47</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>MLton/fib-mlkit</code></td>
<td style="text-align: right;">21.519 ± 0.078</td>
<td style="text-align: right;">21.413</td>
<td style="text-align: right;">21.656</td>
<td style="text-align: right;">11190.18 ± 8207.65</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>MLton/fib-mlkit-ngc</code></td>
<td style="text-align: right;">4.625 ± 0.033</td>
<td style="text-align: right;">4.596</td>
<td style="text-align: right;">4.691</td>
<td style="text-align: right;">2405.09 ± 1764.12</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>PolyML/fib</code></td>
<td style="text-align: right;">6.056 ± 0.041</td>
<td style="text-align: right;">6.012</td>
<td style="text-align: right;">6.119</td>
<td style="text-align: right;">3149.40 ± 2310.05</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Rust/fib</code></td>
<td style="text-align: right;">2.659 ± 0.013</td>
<td style="text-align: right;">2.646</td>
<td style="text-align: right;">2.680</td>
<td style="text-align: right;">1382.86 ± 1014.30</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Dylan/_build/bin/fib</code></td>
<td style="text-align: right;">5.678 ± 0.016</td>
<td style="text-align: right;">5.667</td>
<td style="text-align: right;">5.723</td>
<td style="text-align: right;">2952.84 ± 2165.81</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Go/fib</code></td>
<td style="text-align: right;">4.278 ± 0.048</td>
<td style="text-align: right;">4.181</td>
<td style="text-align: right;">4.353</td>
<td style="text-align: right;">2224.45 ± 1631.74</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>ATS/fib</code></td>
<td style="text-align: right;">1.621 ± 0.004</td>
<td style="text-align: right;">1.613</td>
<td style="text-align: right;">1.625</td>
<td style="text-align: right;">843.14 ± 618.41</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Swift/fib</code></td>
<td style="text-align: right;">2.596 ± 0.003</td>
<td style="text-align: right;">2.590</td>
<td style="text-align: right;">2.600</td>
<td style="text-align: right;">1350.10 ± 990.25</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Ada/fib</code></td>
<td style="text-align: right;">1.647 ± 0.003</td>
<td style="text-align: right;">1.642</td>
<td style="text-align: right;">1.652</td>
<td style="text-align: right;">856.63 ± 628.31</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Mercury/fib</code></td>
<td style="text-align: right;">7.098 ± 0.008</td>
<td style="text-align: right;">7.085</td>
<td style="text-align: right;">7.116</td>
<td style="text-align: right;">3691.03 ± 2707.22</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>C/fib</code></td>
<td style="text-align: right;">6.453 ± 0.003</td>
<td style="text-align: right;">6.448</td>
<td style="text-align: right;">6.456</td>
<td style="text-align: right;">3355.75 ± 2461.31</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>C/fib-clang</code></td>
<td style="text-align: right;">6.090 ± 0.056</td>
<td style="text-align: right;">6.041</td>
<td style="text-align: right;">6.194</td>
<td style="text-align: right;">3167.09 ± 2323.11</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Kotlin/fib</code></td>
<td style="text-align: right;">3.998 ± 0.005</td>
<td style="text-align: right;">3.988</td>
<td style="text-align: right;">4.008</td>
<td style="text-align: right;">2079.19 ± 1525.01</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>CLisp/fib</code></td>
<td style="text-align: right;">27.413 ± 0.018</td>
<td style="text-align: right;">27.389</td>
<td style="text-align: right;">27.442</td>
<td style="text-align: right;">14255.37 ± 10455.75</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Clean/bin/fib</code></td>
<td style="text-align: right;">3.821 ± 0.003</td>
<td style="text-align: right;">3.817</td>
<td style="text-align: right;">3.827</td>
<td style="text-align: right;">1986.86 ± 1457.29</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Koka/fib</code></td>
<td style="text-align: right;">5.703 ± 0.007</td>
<td style="text-align: right;">5.697</td>
<td style="text-align: right;">5.721</td>
<td style="text-align: right;">2965.93 ± 2175.39</td>
</tr>
<tr class="odd">
<td style="text-align: left;"><code>Terra/fib</code></td>
<td style="text-align: right;">2.633 ± 0.045</td>
<td style="text-align: right;">2.598</td>
<td style="text-align: right;">2.703</td>
<td style="text-align: right;">1369.18 ± 1004.51</td>
</tr>
<tr class="even">
<td style="text-align: left;"><code>Lean/build/bin/fib naive</code></td>
<td style="text-align: right;">13.928 ± 0.020</td>
<td style="text-align: right;">13.907</td>
<td style="text-align: right;">13.963</td>
<td style="text-align: right;">7242.79 ± 5312.31</td>
</tr>
</tbody>
</table>
